package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

public enum SporadicChargeTypeEnum implements BaseEnum<Integer, SporadicChargeTypeEnum> {
    LEVEL(1,"考级"),
    SUBJECT_CHARGE(2,"声部更改"),
    MUSIC_CHARGE(3,"乐器更换"),
    PARTS_SELL(4,"配件销售"),
    SERVICE_FEE(5,"维修费"),
    LUCKY_BAG_ACTIVE(6,"福袋活动"),
    VISITING_FEE(7,"上门费"),
    VIP_BUY(8,"VIP课购买"),
    RECHARGE(9,"账户充值"),
    MUSIC_UPKEEP(10,"乐保服务"),
    OTHER(11,"其他"),
    DOUBLE_ELEVEN2020(12,"2020双十一活动"),
    HIGH_ONLINE_ACTIVITY(13,"网基课活动");

    private Integer code;

    private String msg;

    SporadicChargeTypeEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public Integer getCode() {
        return this.code;
    }}
